The "Get all categories" Api return the blog categoies for a given account ID. Please use "blogs/category.readonly"

http
GET https://services.leadconnectorhq.com/blogs/categories

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT
limitnumberYesNumber of categories to show in the listing
offsetnumberYesNumber of categories to skip in listing

Responses

200 - Successful response
  • categories (object[], required): Array of categories

    • _id (string, required): Example: lMOzIQZne5m6zQ528sT6

    • label (string): Example: Leadway

    • locationId (string, required): Example: lMOzIQZne5m6zQ528sT6

    • updatedAt (string, required): Example: 2025-01-03T11:06:35.822Z

    • canonicalLink (string, required): Example: https://tryghl.blog/doc/category/agency-growth

    • urlSlug (string, required): Example: agency-growth

json
{
  "categories": [
    {
      "_id": "lMOzIQZne5m6zQ528sT6",
      "label": "Leadway",
      "locationId": "lMOzIQZne5m6zQ528sT6",
      "updatedAt": "2025-01-03T11:06:35.822Z",
      "canonicalLink": "https://tryghl.blog/doc/category/agency-growth",
      "urlSlug": "agency-growth"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/blogs/categories' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?